Name: rhevm-sdk
Version: 3.2.0.11
Release: 1%{?dist}
Summary: RHEV-M Software Development Kit
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org/wiki/SDK

Source0: %{name}-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

Requires: python
Requires: python-lxml

# This package and the corresponding upstream package use the same
# paths and files, so they can't be installed together:
Conflicts: ovirt-engine-sdk

%description
This package contains The RHEV-M Software Development Kit.
With this package, custom software can be built for RHEV-M.

%prep
%setup -q

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/ovirtsdk
%{python_sitelib}/rhevm_engine_sdk-*-info
%doc AUTHORS
%doc README
%doc LICENSE

%changelog
* Tue May  13 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.11-1
 - added usages option to add cluster network #949884

* Tue May  7 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.10-1
 - revert from generateDS 2.9a to 2.7b
 - to version added element full_version
 - cpu_mode no longer has 'CUSTOM' as a default
 - fixed add brics.add() params

* Thu Apr  25 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.9-1
 - added new collection ClusterGlusterVolumeBrickStatistics
 - to ClusterGlusterVolumeBricks.list() added new argument "all_content"
 - to ClusterGlusterVolumeBricks.get() added new argument "all_content"
 - implement Session-TTL header support #928313
 - DefaultCookiePolicy instance has no attribute '_now', during delete 400 VM's #949189
 - connection failure, [Errno -5] during delete 400 VM's #949187

* Thu Apr  4 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.8-1
 - user should not see admin permissions for the DC #924357

* Wed Apr  3 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.7-1
 - getItem() got an unexpected keyword argument 'query' #947085
 - return error if amount of fetched objects in X.get() is > 1 #890327

* Thu Mar  28 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.6-1
 - added new collection DataCenterStorageDomainDisks
 - added new collection StorageDomainDisks
 - added NetUp 'cloned disk' importing capabilities
 - to host install method added new parameter "image"
 - to host add method added new parameter "display.address"
 - to vm add method added new parameter "vm.cpu.mode"
 - to vm add method added new overload for creating vm from snapshot

* Sun Mar  3 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.5-1
 - session based authentication is broken #916285

* Thu Feb  28 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.4-1
 - add constructor parameter validate_cert_chain=True #915225
 - defend against malformed server reply

* Tue Feb  19 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.3-1
 - to DiskStatistics.list() added 'max' argument
 - to ClusterGlusterVolumeBrick added 'replace' action
 - Host can be added to cluster now either by id or name

* Thu Jan  17 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.2-1
 - events can be added now (user defined events)
 - events can be removed now
 - vm can be removed now, but it's disk/s kept (added disks.detach_only property to VMDisks)
 - to host add()/update() methods added power_management.agents parameter
 - host can be added now by using cluster.name (not only cluster-id)
 - to disk added permissions sub-collection
 - to NIC added "linked" property (can be changed to reach desired link state)
 - to NIC added "plugged" property (can be changed to reach desired NIC state)
 - to VM added ReportedDevices sub-collection (holds data reported by the guest agent)
 - to VMNIC added ReportedDevices sub-collection (holds data reported by the guest agent)
 - to PowerManagement added Agents collection
 - to VMDisk added move() action
 - to cluster added threads_as_cores property (expose cpu threads as cores)
 - to CpuTopology added "threads" property (indicating amount of available threads)
 - to Host added "libvirt_version" property
 - to Host added "hardware_information" property (containing BIOS information)
 - documented possible sdk errors

* Tue Jan  8 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.1-1
- to host added hooks sub-collection
- added force flag the host.delete()
- added host.power_management.pm_proxy collection
- added permissions sub-collection to network
- added search capabilities to api.networks collection
- added deletion protection to the template/vm via .delete_protected
- add print of the whole response body in debug mode #887808
- httpsconnection.source_address is not supported on python26 #877897
- cannot create simultaneous connections to multiple servers #853947
- to StorageDomainVM.import() added action.exclusive parameter
- to StorageDomainTemplate.import() added action.exclusive parameter
- added /current argument to VmCdRom.update() acorrding to #869257
- implemented support for #869257
- added /async argument to VmCdRom.update()
- added /async argument to ClusterNetworks.update()
- removed Disk.update() method
- added parameters overload for adding direct-lun disk
- added vm/template.display.smartcard_enabled
- added correlation_id to VMDisk.activate()/deactivate()
- added correlation_id to VMNic.activate()/deactivate()
- added certificate property to vm

* Wed Nov  7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.16-1
 - disk.lunStorage renamed to disk.lun_storage #873205
 - added nfs_version to Capabilities resource

* Thu Oct  25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.15-1
 - added /current argument to VmCdRom.update() according to #869257
 - implemented support for #869257
 - added /async argument to VmCdRom.update()
 - added /async argument to ClusterNetworks.update()

* Tue Oct  16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.14-1
 - cannot fetch the disk using /alias #865407
 - restrict .get() methods to id/name
 - rebase to latest api:
    - removed Disk.update() signature
    - aded parameters overload for Disks.add() for lun based disks
    - aded parameters overload for VMDisks.add() for lun based disks
    - to VMDisk.activate() added correlation_id argument
    - to VMDisk.deactivate() added correlation_id argument
    - to VMNic.activate() added correlation_id argument
    - to VMNic.deactivate() added correlation_id argument
    - gluster action refactored to lowercase
    - added TemplateDisk.copy()
    - added VmPool.allocatevm()

* Thu Oct  4 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.12-1
- rebase to latest api:
  - disk.name replaced with disk.alias
  - added StorageDomainTemplate.delete()
  - added StorageDomainVM.delete()
  - template.display.allow_reconnect renamed to 
    template.display.allow_override
  - vm.display.allow_reconnect renamed to 
    vm.display.allow_override
  - added template.cpu.cpu_tune.vcpu_pin documentation
  - added vm.cpu.cpu_tune.vcpu_pin documentation
  - to vmpools.add() added vmpool.size
  - to vmpools.update() added vmpool.size

* Mon Oct  1 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.11-1
- defend against disconnected mode when no proxy cached
- allow persistent_auth via localhost
- change all occurrences of ovirt- > rhevm #856483
- make /filter header global rather than method driven #857018
- to host, added max_scheduling_memory property

* Thu Sep  11 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.10-1
- throw error when connecting to ssl site using http protocol #855860
- to Disks.add() added /name arg
- to disk.install() added r/oot_password arg
- to Template.delete() added async/correlation_id args
- to Template.update added documentation
- to HostTags.add() added expect/correlation_id args
- to VM.start added /filter header
- added correlation_id to:
  - restore snapshot
  - detach HostNIC
  - added create/update/delete methods to template.nics

* Thu Sep  6 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.9-1
- revert of do not mandate CA certificate

* Mon Sep  3 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.8-1
- raise NoCertificatesError only when no ca_file
- do not mandate CA certificate
  (this change is required to allow sdk consuming tools adapting to new security policy)

* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.7-1
- use cached /filter argument rather than demanding it in methods
- added correlation_id to:
  restore snapshot
  detach HostNIC
  attach tag
- added create/update/delete methods to template.nics
- clean context on disconnect
- add filter parameter to proxy ctr.
- support app. server errors

* Mon Aug  20 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.6-1
- make request error being capable to handle any type of server response
- verify credentials before storing proxy in cache
- implement server identity check #848285
- implement insecure flag #848046

* Sun Aug  5 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.5-1
- implemented http header support
- added custom_configuration flag to host NIC
- added override_configuration flag for setupnetworks action
- added Correlation-Id header params
- do not allow sending empty headers
- refactor url params documentation
- removed disk.allow_snapshot param documentation
- to network.update() added [@param network.name: string]
- fixed vm/template os.boot documentation

* Mon Jul 9 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.4-1
- fix typo in 'storage' based args documentation
- make 'name' optional in storagedomains.add() to allow importing existent SD
- make api.storagedomains collection searchable
- Host object doesnt expose storage collection #838269
- to DC.delete() method added [@param action.force: boolean]
- api.networks no longer searchable collection
- to create SD added [@param storagdomain.storage.override_luns: boolean]
- VM.delete() no longer requires Action() parameter as mandatory
- SDK should expose api root resource /api #830513
- perform get() request on proxy construction to validate user credentials #827878
- extract error body <h1>xxx</h1> from detail produced by application server #827881
- do not show brackets in error.detail
- fix api.capabilities get/list methods

* Mon Jun 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.3-1
- to all collection added optional /max/ param. which is signals engine
  to override default amount of returned objects with user defined value
- to Disk type added provisioned_size property and removed /type/ (not supported in 3.1)
- to StorageDomainTemplate/VM import candidates params added clone, name
  properties for clonging imported object.
- to StorageDomainTemplate/VM import candidates params added 
  collapse_snapshots property
- to VM added vcpu_pin collection for vm cpu pinning

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- prevent stack overflow caused by comparisons creating infinite loops
- fix error handling regression
- implement support for 3+ period based URLs, new capabilities:    
    - vm.snapshot.disks/nics collections support
    - host/vm.nics.statistics collections support
    - collection/resource.permits support
- rebase to latest api, new capabilities:
    - gluster collections/resources
    - quota support
    - remove template disk (by storage domain)
    - vm.payload support
    - floating disk support
- add __eqals__ to business entities #782891

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.5
- Added session based auth. support
- Infinite recursion when calling non-existent method #808124
- at Network/.add() added [@param network.usages: collection]
- at HostNIC/.add() added [@param hostnic.ip.mtu: int]
- at StorageDomainTemplate/StorageDomainVM.import() added:
  [@param action.storagedomain.id|name: string]
  [@param action.vm.disks.disk: collection]
- at StorageDomains.add() method added:
  Overload 4:
    @param storagdomain.name: string
    @param storagdomain.host.id|name: string
    @param storagdomain.type: string
    @param storagdomain.storage.type: string
    @param storagdomain.format: boolean
    @param storagdomain.storage.path: string
    @param storagedomain.storage.vfs_type: string
    [@param storagdomain.storage.address: string]
    [@param storagdomain.storage.mount_options: string]
- at Template/VM added:
  [@param template/vm.display.allow_reconnect: boolean]
-at Template/VM.add() added:
  [@param template/vm.display.allow_reconnect: boolean]
  [@param template/vm.vm.disks.disk: collection]
-added VMDisk.activate() method
-added VMDisk.deactivate() method
-added VMNic.activate() method
-added VMNic.deactivate() method

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.4
- get rid of papyon dep.
- implement ordereddict
- lower lxml dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.3
- few methods argumets documentation fixes

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.2
- add papyon dependency (needed for odict)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.1
- rebase to latest api
  - refactored storage.create() parameters sets
  - added documentation for UPDATE methods arguments
  - implemented ars-doc support for collection based arguments
  - added vm.delete(Action) signature, to force vm removal
  - implemented support for collection based actions
  - added setupnetworks action on collection of HostNics
  - added prestarted_vms property to vmpool
  - added support for new rsdl section describing url parameters
  - added 'reboot' property in host (used to disable reboot after installation)
  - added 'plugged' property in vm disk (to plug/unplug the disk at runtime)
- implement support for documentation of netsed collection based args
- support actions on collection
- refactor documentation for collection based arguments
- implement support for collection based parameters
- implement url matrix parameters support
- Cluster with NULL DC cannot be attached to DC #782828
- use secured connection if no protocol specified
- add documentation for api proxy arguments
- add debugging capabilities

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 1.5
- several minor improvements

* Fri Feb 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.4
- added get_product_info() method to entry point

* Tue Feb 7 2012 Michael Pasternak <mpastern@redhat.com> - 1.3
- rebased to latest ovirt-engine-api:
  - added update() for role resource
  - various parameter wrapping improvements

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- use direct URI on get(id=x) rather than search pattern
- extention for #782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- add connectivity check and disconnect methods for #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build

